#define REG_USI_CMGP0_SW_CONF                   (SYSREG_CMGP_BASE_ADDRESS + 0x2000)
#define REG_USI_CMGP1_SW_CONF                   (SYSREG_CMGP_BASE_ADDRESS + 0x2010)

#define SYSREG_CMGP_INTC_BASE                   (SYSREG_CMGP2CHUB_BASE_ADDRESS)//(CMGP_BASE + 0x70000)
#define REG_SYSREG_INTC_CONTROL                 (SYSREG_CMGP_INTC_BASE + 0x280)
#define REG_SYSREG_INTC0_IGROUP                 (SYSREG_CMGP_INTC_BASE + 0x284)
#define REG_SYSREG_INTC0_IEN_SET                (SYSREG_CMGP_INTC_BASE + 0x288)
#define REG_SYSREG_INTC0_IEN_CLR                (SYSREG_CMGP_INTC_BASE + 0x28C)
#define REG_SYSREG_INTC0_IPEND                  (SYSREG_CMGP_INTC_BASE + 0x290)
#define REG_SYSREG_INTC0_IPRIO_PEND             (SYSREG_CMGP_INTC_BASE + 0x294)
#define REG_SYSREG_INTC0_IPRIORITY0             (SYSREG_CMGP_INTC_BASE + 0x298)
#define REG_SYSREG_INTC0_IPRIORITY1             (SYSREG_CMGP_INTC_BASE + 0x29C)
#define REG_SYSREG_INTC0_IPRIORITY2             (SYSREG_CMGP_INTC_BASE + 0x2A0)
#define REG_SYSREG_INTC0_IPRIORITY3             (SYSREG_CMGP_INTC_BASE + 0x2A4)
#define REG_SYSREG_INTC0_IPRIO_SECURE_PEND      (SYSREG_CMGP_INTC_BASE + 0x2A8)
#define REG_SYSREG_INTC0_IPRIO_NONSECURE_PEND   (SYSREG_CMGP_INTC_BASE + 0x2AC)

#define REG_SYSREG_INTC1_IGROUP                 (SYSREG_CMGP_INTC_BASE + 0x2B4)
#define REG_SYSREG_INTC1_IEN_SET                (SYSREG_CMGP_INTC_BASE + 0x2B8)
#define REG_SYSREG_INTC1_IEN_CLR                (SYSREG_CMGP_INTC_BASE + 0x2BC)
#define REG_SYSREG_INTC1_IPEND                  (SYSREG_CMGP_INTC_BASE + 0x2C0)
#define REG_SYSREG_INTC1_IPRIO_PEND             (SYSREG_CMGP_INTC_BASE + 0x2C4)
#define REG_SYSREG_INTC1_IPRIORITY0             (SYSREG_CMGP_INTC_BASE + 0x2C8)
#define REG_SYSREG_INTC1_IPRIORITY1             (SYSREG_CMGP_INTC_BASE + 0x2CC)
#define REG_SYSREG_INTC1_IPRIORITY2             (SYSREG_CMGP_INTC_BASE + 0x2D0)
#define REG_SYSREG_INTC1_IPRIORITY3             (SYSREG_CMGP_INTC_BASE + 0x2D4)
#define REG_SYSREG_INTC1_IPRIO_SECURE_PEND      (SYSREG_CMGP_INTC_BASE + 0x2D8)
#define REG_SYSREG_INTC1_IPRIO_NONSECURE_PEND   (SYSREG_CMGP_INTC_BASE + 0x2DC)
